Bug 1222272 (php-pimple1) - Review Request: php-pimple1 - A simple dependency injection container for PHP
Summary: Review Request: php-pimple1 - A simple dependency injection container for PHP
Keywords:
Status: CLOSED ERRATA
Alias: php-pimple1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-silex
TreeView+ depends on / blocked
 
Reported: 2015-05-17 04:51 UTC by Shawn Iwinski
Modified: 2015-06-13 19:35 UTC (History)
2 users (show)

Fixed In Version: php-pimple1-1.1.1-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-22 16:12:08 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (3.36 KB, text/plain)
2015-05-19 13:18 UTC, Remi Collet
no flags Details
review.txt (6.86 KB, text/plain)
2015-05-19 13:25 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2015-05-17 04:51:53 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/5f2e3330a1e798538fd2095d82ce28ad6f1dcbe2/php-pimple1/php-pimple1.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-pimple1-1.1.1-1.fc21.src.rpm

Description:
Pimple is a small dependency injection container for PHP that consists of
just one file and one class.


Fedora Account System Username: siwinski


-----


php-Pimple package was updated to version 3 but version 1 is still required.

Comment 2 Remi Collet 2015-05-19 13:18:43 UTC
Created attachment 1027200 [details]
phpci.log

phpCompatInfo version 4.2.0 DB built May 19 2015 11:12:39 CEST static analyze results

Comment 3 Remi Collet 2015-05-19 13:25:23 UTC
Created attachment 1027203 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 4 Remi Collet 2015-05-19 13:27:23 UTC
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
  You cannot obsolete yourself (see rpmlint warning)
  I think it is safe to drop the provide (php-Pimple still exists)
  and package using it, should use composer require.

[!]: Package does not generate any conflict.
  As this package is not PSR-0 compliant, perhaps you can 
  use another top dir (ex /usr/share/php/Pimple1) and thus 
  avoid the conflicts with new version ?

I can't test what happens when php-pimple1 and php-Pimple 3 are in the repo.
Will the package be update, or replace ?

Comment 5 Shawn Iwinski 2015-05-20 20:41:55 UTC
(In reply to Remi Collet from comment #4)
> [!]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
>   You cannot obsolete yourself (see rpmlint warning)
>   I think it is safe to drop the provide (php-Pimple still exists)
>   and package using it, should use composer require.
> 
> [!]: Package does not generate any conflict.
>   As this package is not PSR-0 compliant, perhaps you can 
>   use another top dir (ex /usr/share/php/Pimple1) and thus 
>   avoid the conflicts with new version ?

I was against this when I first read it, but the more I thought about it the more I liked it.  Implemented.  Diff = https://github.com/siwinski/rpms/commit/2bff02a18a7c12c39c8be74973266f4451ca19f1


> I can't test what happens when php-pimple1 and php-Pimple 3 are in the repo.
> Will the package be update, or replace ?

adamwill updated php-Pimple for owncloud -- https://admin.fedoraproject.org/updates/search/php-Pimple-3.0.0

Note that for the long-run I still want to move ahead with bug 1131731 so the extension is available as well.  I will update that review request soon.



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/2bff02a18a7c12c39c8be74973266f4451ca19f1/php-pimple1/php-pimple1.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-pimple1-1.1.1-3.fc21.src.rpm

Comment 6 Remi Collet 2015-05-21 05:20:19 UTC
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package does not generate any conflict.


All blockers fixed.

== APPROVED ==

Comment 7 Shawn Iwinski 2015-05-21 21:51:33 UTC
THANKS for the review!



New Package SCM Request
=======================
Package Name: php-pimple1
Short Description: A simple dependency injection container for PHP
Upstream URL: https://github.com/silexphp/Pimple/tree/1.1
Owners: siwinski
Branches: f21 f22 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2015-05-22 12:49:08 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-05-22 15:59:27 UTC
php-pimple1-1.1.1-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-pimple1-1.1.1-4.fc22

Comment 10 Fedora Update System 2015-05-22 15:59:34 UTC
php-pimple1-1.1.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-pimple1-1.1.1-4.fc21

Comment 11 Fedora Update System 2015-05-22 15:59:41 UTC
php-pimple1-1.1.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-pimple1-1.1.1-4.el7

Comment 12 Fedora Update System 2015-05-22 15:59:48 UTC
php-pimple1-1.1.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pimple1-1.1.1-4.el6

Comment 13 Fedora Update System 2015-06-05 23:51:28 UTC
php-pimple1-1.1.1-4.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-06-06 00:03:00 UTC
php-pimple1-1.1.1-4.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-06-13 19:34:52 UTC
php-pimple1-1.1.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Fedora Update System 2015-06-13 19:35:05 UTC
php-pimple1-1.1.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.